import { jsx } from "react/jsx-runtime";
import { ArmchairIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Armchair = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Armchair", ...props, children: /* @__PURE__ */ jsx(ArmchairIcon, { weight: variant }) });
  }
);
Armchair.displayName = "Armchair";
Object.assign(Armchair, { isGdsIcon: true });
export {
  Armchair
};
